Bug 509299 - please drop libsexy dependency
please drop libsexy dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 511082
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-07-02 00:05 EDT by Matthias Clasen
Modified: 2009-07-27 08:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 08:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch dropping libsexy dependency of s-c-p (4.05 KB, patch)
2009-07-13 11:36 EDT, Marek Kašík
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-07-02 00:05:36 EDT
The iconentry and urllabel functionality of libsexy has been merged into GTK+ 2.17.x. It would be very nice if we could make system-config-printer use that instead of python-sexy in F12. That would let us drop python-sexy and libsexy from the live cd, where every byte of space counts...
Comment 1 Marek Kašík 2009-07-13 11:36:32 EDT
Created attachment 351488 [details]
a patch dropping libsexy dependency of s-c-p

Hi,

this patch drops dependency of s-c-p on python-sexy. It depends on bug #511082 (patch is attached there).
There is one problem related to gtk. Once used icon (in GtkEntry) won't highlight anymore (it also doesn't work in gtk-demo from gtk+).

Marek
Comment 2 Matthias Clasen 2009-07-13 14:53:20 EDT
I've committed some fixes to the icon prelighting problems you noticed to GTK+ master. Thanks for pointing those out.
Comment 3 Tim Waugh 2009-07-15 11:34:55 EDT
Thanks.  I've checked in a modification of that patch upstream so that it still works with GTK+ < 2.17.

Note You need to log in before you can comment on or make changes to this bug.